ru.bitel.bgbilling.kernel.tariff.common.bean

## Class TariffGroupTariff

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.tariff.common.bean.TariffGroupTariff

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class TariffGroupTariff
      extends Id

  Одна позиция из группы тарифов - тариф и его период. используется в таблице в модели (в клиенте), в бине менеджера TariffGroup и при передаче тоже используется.
  Author:
    dimon
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffGroupTariff()`
    `TariffGroupTariff(int tariffId, java.lang.String tariffTitle, java.util.Date date1, java.util.Date date2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate1()`
    `java.util.Date` | `getDate2()`
    `java.lang.String` | `getTitle()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setDate1(java.util.Date date1)`
    `void` | `setDate2(java.util.Date date2)`
    `void` | `setTitle(java.lang.String title)`
    `static java.util.List<TariffGroupTariff>` | `stringToTariffs(java.lang.String value)` Костыльный метод превращения строки (xml) в список этих элементов.
    `static java.lang.String` | `tariffsToString(java.util.List<TariffGroupTariff> tariffList)` Костыльный метод превращения списка этих элементов в строку (xml).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffGroupTariff

          public TariffGroupTariff()

    - #### TariffGroupTariff

          public TariffGroupTariff(int tariffId,
                                   java.lang.String tariffTitle,
                                   java.util.Date date1,
                                   java.util.Date date2)

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getDate1

          public java.util.Date getDate1()

    - #### setDate1

          public void setDate1(java.util.Date date1)

    - #### getDate2

          public java.util.Date getDate2()

    - #### setDate2

          public void setDate2(java.util.Date date2)

    - #### tariffsToString

          public static final java.lang.String tariffsToString(java.util.List<TariffGroupTariff> tariffList)

      Костыльный метод превращения списка этих элементов в строку (xml).
      Parameters:
        `tariffList` -
      Returns:

    - #### stringToTariffs

          public static final java.util.List<TariffGroupTariff> stringToTariffs(java.lang.String value)

      Костыльный метод превращения строки (xml) в список этих элементов.
      Parameters:
        `value` -
      Returns:

    - #### main

          public static void main(java.lang.String[] args)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`